import { html as l } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, c = (n, o, s, t) => {
  for (var e = t > 1 ? void 0 : t ? v(o, s) : o, i = n.length - 1, p; i >= 0; i--)
    (p = n[i]) && (e = (t ? p(o, s, e) : p(e)) || e);
  return t && e && f(o, s, e), e;
};
let r = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--microphone", this.class = "c-pieIcon c-pieIcon--microphone", this.name = "IconMicrophone";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--microphone"><path d="M8.656 12.996V15H7.344v-2.004a5.915 5.915 0 0 1-5.25-5.871h1.312a4.594 4.594 0 0 0 9.188 0h1.312a5.915 5.915 0 0 1-5.25 5.871M4.72 7.125V4.5a3.281 3.281 0 1 1 6.562 0v2.625a3.281 3.281 0 0 1-6.562 0m1.312 0a1.969 1.969 0 0 0 3.938 0V4.5a1.969 1.969 0 0 0-3.938 0z"></path></svg>`;
  }
};
c([
  h({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  h({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  m("icon-microphone")
], r);
export {
  r as IconMicrophone
};
